Bug 1370763 - libsidplayfp-2.0.0alpha3 is available
Summary: libsidplayfp-2.0.0alpha3 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libsidplayfp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-27 06:45 UTC by Upstream Release Monitoring
Modified: 2017-01-16 17:21 UTC (History)
3 users (show)

Fixed In Version: libsidplayfp-1.8.7-1.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-16 17:21:40 UTC


Attachments (Terms of Use)
[patch] Update to 2.0.0alpha1 (#1370763) (1003 bytes, patch)
2016-08-27 06:46 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.0alpha2 (#1370763) (1003 bytes, patch)
2016-11-21 00:17 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.0alpha3 (#1370763) (1003 bytes, patch)
2016-11-30 16:32 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-08-27 06:45:17 UTC
Latest upstream release: 2.0.0alpha1
Current version/release in rawhide: 1.8.6-1.fc25
URL: http://sourceforge.net/projects/sidplay-residfp

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1721/

Comment 1 Upstream Release Monitoring 2016-08-27 06:45:40 UTC
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'

Comment 2 Upstream Release Monitoring 2016-08-27 06:46:11 UTC
Created attachment 1194696 [details]
[patch] Update to 2.0.0alpha1 (#1370763)

Comment 3 Upstream Release Monitoring 2016-11-21 00:16:29 UTC
Latest upstream release: 2.0.0alpha2
Current version/release in rawhide: 1.8.6-1.fc25
URL: http://sourceforge.net/projects/sidplay-residfp

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1721/

Comment 4 Upstream Release Monitoring 2016-11-21 00:16:51 UTC
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'

Comment 5 Upstream Release Monitoring 2016-11-21 00:17:18 UTC
Created attachment 1222262 [details]
[patch] Update to 2.0.0alpha2 (#1370763)

Comment 6 Upstream Release Monitoring 2016-11-30 16:28:09 UTC
Latest upstream release: 2.0.0alpha3
Current version/release in rawhide: 1.8.6-1.fc25
URL: http://sourceforge.net/projects/sidplay-residfp

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1721/

Comment 7 Upstream Release Monitoring 2016-11-30 16:30:31 UTC
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'

Comment 8 Upstream Release Monitoring 2016-11-30 16:32:30 UTC
Created attachment 1226415 [details]
[patch] Update to 2.0.0alpha3 (#1370763)

Comment 9 Karel Volný 2016-12-21 14:57:11 UTC
not sure if we're interested in alpha, however there is also 1.8.7

looking at the changelog, I might be interested in updating it also in EPEL7 ... but probably not before tested in Fedora - Hans, are you going to update this?
(I don't have the privs)

Comment 10 Hans de Goede 2016-12-21 15:34:20 UTC
(In reply to Karel Volný from comment #9)
> not sure if we're interested in alpha

I've deliberately ignored the alpha-s lets wait for things (and any ABI changes)
to stablalize a bit first.

> however there is also 1.8.7

Yes updating to 1.8.7 sounds like a good idea

> looking at the changelog, I might be interested in updating it also in EPEL7
> ... but probably not before tested in Fedora - Hans, are you going to update
> this? (I don't have the privs)

I've just granted you the necessary rights in pkgdb, so go ahead and update the Fedora pkgs to 1.8.7 :)

Comment 11 Michael Schwendt 2016-12-21 17:37:14 UTC
> not sure if we're interested in alpha

Depends on how interesting you find the reSID related changes in that update (MOS-8580 filter emulation changes are pretty much irrelevant and won't make fans of the real chips happy anyway).


> 1.8.7
> https://sourceforge.net/p/sidplay-residfp/news/2016/12/released-libsidplayfp-187/

Changelog:
* Fix out of range tune selection
* Reenable accidentally broken branch hints in residfp
* Minor fix in VIC-II code ported from VICE

Comment 12 Karel Volný 2016-12-23 09:44:59 UTC
ok, let's try in rawhide ...
https://koji.fedoraproject.org/koji/taskinfo?taskID=17036091

Comment 13 Fedora Update System 2016-12-30 13:59:01 UTC
libsidplayfp-1.8.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-29b312bad2

Comment 14 Fedora Update System 2016-12-31 08:49:02 UTC
libsidplayfp-1.8.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-29b312bad2

Comment 15 Fedora Update System 2017-01-16 17:21:40 UTC
libsidplayfp-1.8.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.